interface PaginationIndicatorsProps {
	currentPage: number;
	totalPages: number;
	onPageChange: (page: number) => void;
}

const PaginationIndicators = ({ currentPage, totalPages, onPageChange }: PaginationIndicatorsProps) => {
	if (totalPages <= 1) return null;

	return (
		<div className="flex justify-center mt-6 gap-2">
			{Array.from({ length: totalPages }).map((_, index) => (
				<button
					key={index}
					className={`h-2 w-2 rounded-full ${currentPage === index ? "bg-[#2895C8]" : "bg-gray-300"
						}`}
					onClick={() => onPageChange(index)}
					aria-label={`Go to page ${index + 1}`}
				/>
			))}
		</div>
	);
};

export default PaginationIndicators; 